Exception::getPrevious
Exception::getFile
Exception
PHP Manual

# Exception::getCode

(PHP 5 >= 5.1.0)

Exception::getCode — Gets the Exception code

### 설명

final public int Exception::getCode ( void )

Returns the Exception code.

### 인수

이 함수는 인수가 없습니다.

### 반환값

Returns the Exception code as a integer.

### 예제

Example #1 Exception::getCode() example

`<?php
try {
throw new Exception("Some error message", 30);
} catch(Exception $e) {
echo "The exception code is: " . $e->getCode();
}
?>`

위 예제의 출력 예시:

    The exception code is: 30

Exception::getPrevious
Exception::getFile
Exception
PHP Manual